package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 公告阅读记录
 *
 * @author WANGWEI
 * @date 2019年6月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_NOTICE_READ", indexes = {
		@Index(name = "IDX_E_N_READ_001001", columnList = "noticeId", unique = false),
		@Index(name = "IDX_E_N_READ_001002", columnList = "noticeId,userType,userId", unique = true)})
public class NoticeReadEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 公告ID
	 */
	@Column(nullable = false)
	private Long noticeId;

	/**
	 * 用户类型
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private UserType userType;

	/**
	 * 用户ID
	 */
	@Column(nullable = false)
	private Long userId;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType userType) {
		this.userType = userType;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

}
